Page MenuHomePhabricator

Queue mirroring needs to copy source_* fields into the message body
Closed, ResolvedPublic1 Story Points

Description

We don't have headers in Redis, so jam that stuff into the body when mirroring. It's fine to put these in the body for legacy ActiveMQ messages too, cos the consumer will do so anyway.

Event Timeline

awight created this task.Aug 2 2016, 11:26 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 2 2016, 11:26 PM
awight updated the task description. (Show Details)Aug 2 2016, 11:26 PM
awight set the point value for this task to 1.
cwdent moved this task from Backlog to Doing on the Fundraising Sprint Octopus Untangling board.

Change 303699 had a related patch set uploaded (by Cdentinger):
Add ActiveMQ headers to Redis messages

https://gerrit.wikimedia.org/r/303699

Change 303699 merged by jenkins-bot:
Add ActiveMQ headers to Redis messages

https://gerrit.wikimedia.org/r/303699

cwdent closed this task as Resolved.Aug 17 2016, 10:58 PM
mmodell removed a subscriber: awight.Jun 22 2017, 9:53 PM